Bug 131720 - g-v-m should not enforce policy when session is inactive
Summary: g-v-m should not enforce policy when session is inactive
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-volume-manager   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-03 16:01 UTC by Daniel Reed
Modified: 2013-03-06 03:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-23 05:30:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Reed 2004-09-03 16:01:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
While in the console, I burned a number of CDs with cdrecord. X was
running on another tty.

When I switched back to X, I noticed that, for every CD I put into my
drive, a new window opened in my X session. This window was labeled:
File Browser: CD/DVD Creator

The windows were not dismissed when I removed the CD they were created
for. Successive insertions did not cause the current window to be
used, but opened a new one.

The windows did not appear to interrupt my ability to use cdrecord.

Version-Release number of selected component (if applicable):
gnome-volume-manager-0.9.10-2

Comment 1 John (J5) Palmieri 2004-09-03 20:55:22 UTC
Reassigning to nautilus-cd-burner.  Is it possible to add a flag like
--use-existing that checks to see if there is already a burn:// window
open and pops that to the front?  Dan is using browser mode so every
time he pops in a CD-R it opens another nautilus window.  This works
fine in spacial mode.

Comment 2 Alexander Larsson 2004-09-06 12:41:47 UTC
Why are we automatically opening windows in CD insertion? We have
previously removed such features.

Comment 3 Alexander Larsson 2004-09-06 12:43:08 UTC
Its especially wrong to open new windows if you're using browser mode.
You don't typically open new window often if you do that.

Comment 4 Matthias Clasen 2007-04-01 14:50:28 UTC
I'm pretty sure this is not happening anymore for a long time now. David, can
you confirm and close ?

Comment 5 David Zeuthen 2007-04-01 16:44:17 UTC
Wow, old bugs. Yeay! I think it still happens or at least it should. 

The solution to this bug includes teaching gnome-volume-manager to ask
ConsoleKit if the session is active. IIRC that have not happened and the request
is actually valid if you consider that we have fast-user-switching in this
modern day. 


Comment 6 Bug Zapper 2008-04-03 15:38:32 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 7 Matthias Clasen 2008-04-23 05:30:05 UTC
These things are handled differently in F9, and the new regime does pay
attention to active sessions.


Note You need to log in before you can comment on or make changes to this bug.